package com.redhat.thermostat.tools.eclipse.plugin.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.NONE)
@XmlType(propOrder = {
        "longName",
        "shortName",
        "argument",
        "required",
        "description"})
public class Option {

    private String longName;
    private String shortName;
    private String argument;
    private boolean required;
    private String description;

    @XmlElement(name="long")
    public String getLongName() {
        return longName;
    }

    public void setLongName(String name) {
        this.longName = name;
    }

    @XmlElement(name="short")
    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    @XmlElement(name="argument")
    public String getArgument() {
        return argument;
    }

    public void setArgument(String argument) {
        this.argument = argument;
    }

    @XmlElement(name="required")
    public boolean getRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }

    @XmlElement(name="description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

}
